<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"> </script>

<br>
<div style="margin-top: 50px" class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-primary">Student Marks</h3>
  </div>
</div>

<div class="container">
  <div class="card top">
    <div class="row">
      <% if current_user.role.role_name != "Admin" %>
        <div class="col-md-1 pull-right">
          <%= link_to 'New', new_student_mark_path , class: "btn btn-info float-right mr-3" %> 
        </div>
      <% end %>
      <div class="col-md-1 pull-right">
        <%= link_to 'Back', welcome_user_path , class: "btn btn-warning float-right mr-3" %>
      </div>
    </div>
  </div>
</div>
<br>

<table id="student_mark_list">
  <thead>
    <tr>
      <th>Student</th>
      <th>Subject</th>
      <th>Teacher</th>
      <th>Mark</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @student_marks.each do |student_mark| %>
      <tr>
        <td><%= student_mark.student.stud_name %></td>
        <td><%= student_mark.subject.sub_name %></td>
        <td><%= student_mark.user.user_name %></td>
        <td><%= student_mark.mark %></td>
        <% if current_user.role.role_name != "Admin" %>
          <!-- <td><%#= link_to 'Show', student_mark %></td> -->
          <td><%= link_to "<i class='fa fa-eye' title='Student Mark'></i>".html_safe, student_mark%>
          <td><%= link_to "<i class='fa fa-pencil' title='Edit Student Mark'></i>".html_safe, edit_student_mark_path(student_mark) %></td>
          <!-- <td><%#= link_to 'Destroy', student_mark, method: :delete, data: { confirm: 'Are you sure?' } %></td> -->
        <% end %>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<script type="text/javascript">
  $(document).ready(function(){
    $('#student_mark_list').dataTable();
  });
</script>
